local error_mt = {
	__tostring = function (e)
		return tostring(e.message or ("<Scansion error: "..tostring(self)..">"));
	end;
};

return {
	new_error = function (message, data)
		return setmetatable({ message = message, data = data }, error_mt);
	end;
};
